Bug 479163 - [RFE] Save As dialog should show all appropriate formats by default
[RFE] Save As dialog should show all appropriate formats by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 12:40 EST by Tim Waugh
Modified: 2010-07-14 09:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 06:07:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 113141 None None None Never

  None (edit)
Description Tim Waugh 2009-01-07 12:40:24 EST
Description of problem:
In the Save As dialog, only files matching the native (ODF) format are shown.  Insted, files matching all exportable text formats should be shown by default, and if no file extension is specified when saving the file, the appropriate ODF extension should be chosen.

This is how other applications (e.g. GIMP, with XCF as the native format) work.

It makes it easier to see which other formats of a given document already exist.

Version-Release number of selected component (if applicable):
openoffice.org-core-3.0.0-9.10.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Start OpenOffice.org Writer.
2.File->Save As...
  
Actual results:
Only *.odt files are shown, not e.g. .sxw files.

Expected results:
Files matching all exportable formats should be shown.
Comment 1 Caolan McNamara 2009-01-08 09:56:44 EST
We sort of have it in the "open" dialog where there is a "Text Documents" default filter, but not in the "save" dialog. I guess we could introduce the same default filter as "Text Documents", "Spreadsheets" etc. into the save dialog as well. That should work.
Comment 2 Caolan McNamara 2009-01-14 11:16:43 EST
Introduce an "All Formats" and stuck at the top of the list for the save case.
Comment 3 Caolan McNamara 2009-01-22 06:07:29 EST
done in rawhide
Comment 4 Tim Waugh 2009-01-30 09:37:21 EST
While trying to test this out I find that OpenOffice.org locks up.

1. Start OpenOffice.org Writer, File->Save As..., 'foo.sxw', Keep current format
2. File->Save As...

Window no longer refreshes.  File menu still open.

Forcing quit, starting OpenOffice.org Writer again gives a lock-up as soon as File->Save As... is selected.

Forcing quit, removing Documents/foo.sxw and then trying again gives a Save dialog as in (1) above, but after saving File->Save As... again will lock-up.

openoffice.org-writer-3.0.1-15.5.fc11.x86_64
Comment 5 Caolan McNamara 2009-01-30 09:48:08 EST
lock ups in gtk dialogs are generally rhbz#477174 which makes it sort of hopeless to do anything in OpenOffice.org (or acroread)
Comment 6 Caolan McNamara 2009-01-30 09:54:59 EST
yeah, the dread _XReadEvents from gdk_x11_get_server_time

#1  0x0000003708e0bda0 in pthread_cond_broadcast@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) 
#2  0x0000003709e4c327 in ?? () from /usr/lib64/libX11.so.6
(gdb) 
#3  0x0000003709e4c69d in ?? () from /usr/lib64/libX11.so.6
(gdb) 
#4  0x0000003709e4cf59 in _XReadEvents () from /usr/lib64/libX11.so.6
(gdb) 
#5  0x0000003709e2b864 in XIfEvent () from /usr/lib64/libX11.so.6
(gdb) 
#6  0x00007f8ea6a7c1f9 in gdk_x11_get_server_time ()
   from /usr/lib64/libgdk-x11-2.0.so.0
(gdb) 
#7  0x00007f8ea6f61699 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
(gdb) 
#8  0x00007f8ea6f62a6b in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
(gdb) 
#9  0x00007f8ea6f62cde in gtk_clipboard_set_with_owner ()
   from /usr/lib64/libgtk-x11-2.0.so.0
(gdb) 
#10 0x00007f8ea6d9f6d1 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0

Note You need to log in before you can comment on or make changes to this bug.